### Virtual Method

# Hinawa FwReq responded

since: 4.0

#### Declaration [src]

    void
    responded (
      HinawaFwReq* self,
      HinawaFwRcode rcode,
      guint request_tstamp,
      guint response_tstamp,
      const guint8* frame,
      guint frame_size
    )

#### Description [src]

Class closure for the `HinawaFwReq::responded` signal.

Available since: 4.0

#### Parameters

`rcode`

  Type: `HinawaFwRcode`

  One of `HinawaFwRcode`.

`request_tstamp`

  Type: `guint`

  The isochronous cycle at which the request subaction was sent for the transaction.

`response_tstamp`

  Type: `guint`

  The isochronous cycle at which the response subaction arrived for the transaction.

`frame`

  Type: An array of `guint8`

  The array with elements for byte data of the response subaction of transaction.

  The length of the array is specified in the `frame_size` argument.
  The data is owned by the caller of the method.

`frame_size`

  Type: `guint`

  The number of elements of the array.